Main Page Class Hierarchy Compound List File List Compound Members File Members

# UDPRecvConnection Class Reference

Connessione UDP di Ricezione. More...

`#include <UDPConnection.h>`

Inheritance diagram for UDPRecvConnection:

List of all members.

## Public Methods
| UDPRecvConnection ()
| Costruttore di Default.
| UDPRecvConnection (antStackRef ipStack, int bs, Port port)
| Costruttore. More...
| ~UDPRecvConnection ()
| Distruttore di default.
OStatus | initConnection ()
| Inizializza la connessione. More...
OStatus | stop ()
| Ferma la ricezione. More...
byte * | getRecvData ()
| Restituisce il buffer di ricezione. More...
int | getRecvSize ()
| Restituisce la dimensione massima del pacchetto ricevibile. More...

## Detailed Description

Connessione UDP di Ricezione.

Implementa una connessione UDP di sola ricezione.

## Constructor & Destructor Documentation

UDPRecvConnection::UDPRecvConnection | ( | antStackRef | ipStack,
|  | int | bs,
|  | Port | port
| ) |

  | Costruttore. Costruisce una connessione UDP di ricezione. Parameters:
  ipStack | riferimento allo stack TCP/IP dell'Aibo.
  bs | dimensione del buffer di ricezione in byte.
  port | porta TCP di ricezione

## Member Function Documentation

byte* UDPRecvConnection::getRecvData | ( |  | ) | `[inline]`

| Restituisce il buffer di ricezione. Returns: puntatore al buffer di ricezione

int UDPRecvConnection::getRecvSize | ( |  | ) | `[inline]`

| Restituisce la dimensione massima del pacchetto ricevibile. Returns: dimensione massima di byte ricevibili.

OStatus UDPRecvConnection::initConnection | ( |  | ) | `[virtual]`

| Inizializza la connessione. Inizializza il buffer di ricezione, crea l'endpoint e effettua il bind della connessione. Returns: oSUCCESS se ha avuto successo; oFAIL altrimenti. Implements UDPConnection.

OStatus UDPRecvConnection::stop | ( |  | ) | `[virtual]`

| Ferma la ricezione. Chiude la connessione, dopo la chiamata a questo metodo la connessione non sara' piu' utilizzabile, per riutilizzarla sara' necessario chiamare nuovamente initConnection. Returns: oSUCCESS se ha avuto successo; oFAIL altrimenti. Implements UDPConnection.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/TelepatiUdp/UDPConnection.h
- /home/gilberto/prog/tesi2.31/TelepatiUdp/UDPConnection.cc